
Redmine - Defect #20206

Members w/o view issues permission are able to list issues on public projects if the non member role

has the permission

2015-06-30 06:40 - Toshi MARUYAMA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.1.0   

Resolution: Fixed Affected version: 3.0.3

Description

Direct links return 403.

/issues/<id>

/projects/<id>/issues

But issues of project with no "View Issues" role are listed on "View all issues".

Related issues:

Related to Redmine - Defect #19602: Non-Reporter role cannot see issue list Needs feedback

Associated revisions

Revision 14450 - 2015-07-25 08:44 - Jean-Philippe Lang

Fixed that members without view issues permission are able to list issues on public projects if the non member role has the permission (#20206).

Revision 14453 - 2015-07-25 10:54 - Jean-Philippe Lang

Merged r14450 (#20206).

History

#1 - 2015-07-04 10:41 - Jean-Philippe Lang

This happens because your "Non member" role has the "View issues" permission.

Issue.visible and Issue#visible? doesn't behave the same in this particular case. Issue.visible considers the non member permissions even for

members, but Issue#visible? does not. I think that members should not have less permissions than non members and behaviour should be aligned on

the Issue.visible scope.

#2 - 2015-07-25 10:54 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

#3 - 2015-07-25 10:56 - Jean-Philippe Lang

- Subject changed from "View all issues"lists issues nevertheless role has no "View Issues" to Members w/o view issues permission are able to list

issues on public projects if the non member role has the permission

#4 - 2015-07-25 12:39 - Toshi MARUYAMA

- Related to Defect #19602: Non-Reporter role cannot see issue list added
